Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class CreateOneToManyRelation

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.CreateOneToManyRelation

    public class CreateOneToManyRelation

extends ExecutableOperator

Author:
  Martin Scholz

Field Summary

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`CreateOneToManyRelation()`

Method Summary
`void` | `compileStatement()` Not required.
`void` | `createStatement(boolean lazy)` Prerequisites: Currently supports only a single Columnset per Concept.
`protected java.util.Collection` | `getForeignKeyFromConcept()`
`protected Concept` | `getFromConcept()`
`protected java.util.Collection` | `getPrimaryKeyToConcept()`
`protected Relation` | `getRelation()`
`protected Concept` | `getToConcept()`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, execute, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, load, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateOneToManyRelation

    public CreateOneToManyRelation()

Method Detail

### createStatement

    public void createStatement(boolean lazy)
                         throws M4CompilerError

  Prerequisites:
  - Currently supports only a single Columnset per Concept.
  - The From-Concept connected by a Relation should be materialized in advance.
  - If no primary key exists in the database for the ToConcept the operator tries to create one. This may fail for views.

  Specified by:
    `createStatement` in class `ExecutableOperator`
  Parameters:
    `lazy` - If TRUE, run in lazy mode: create atmost one output ColumnSet
  Throws:
    `M4CompilerError`
  See Also:
    `ExecutableOperator.createStatement(boolean)`

### compileStatement

    public void compileStatement()

  Not required. Dummy method.

  Specified by:
    `compileStatement` in class `ExecutableOperator`

### getFromConcept

    protected Concept getFromConcept()
                              throws M4CompilerError

  Returns:
    the Concept "TheFromConcept"
  Throws:
    `M4CompilerError`

### getToConcept

    protected Concept getToConcept()
                            throws M4CompilerError

  Returns:
    the Concept "TheToConcept"
  Throws:
    `M4CompilerError`

### getRelation

    protected Relation getRelation()
                            throws M4CompilerError

  Returns:
    the output Relation
  Throws:
    `M4CompilerError`

### getPrimaryKeyToConcept

    protected java.util.Collection getPrimaryKeyToConcept()
                                                   throws M4CompilerError

  Returns:
    `Collection` of Key Baseattributes of Concept B
  Throws:
    `M4CompilerError`

### getForeignKeyFromConcept

    protected java.util.Collection getForeignKeyFromConcept()
                                                     throws M4CompilerError

  Returns:
    `Collection` of Key Baseattributes part of the Cross Concept that point to Concept B
  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005